/* Portal */

iframe body {
  background-color: white;
}

body {
    font-family: Segoe UI Light, "HelveticaNeue-Light", "Helvetica Neue Light", "Helvetica Neue", Helvetica, Arial;
    background-color: #F9F9F9;
    background-size: cover;
}


/* Alerts */

.alert :focus-visible {
    outline: none !important;
}

/* Buttons */

.saveButton {
  width: 90px;
  height: 40px;
  vertical-align: middle;
  border: 1px solid;
  padding: 8px 15px;
  position: absolute;
  right: 25px;
  top: 20px;
  color: black;
}

.saveButton:hover {
  cursor: pointer;
  background-color: #D8D8D8;
}

.btn-default {
    color: #666;
    background-color: #fff;
    border-color: #ccc;
    border-top: none;
    border-left: none;
    border-right: none;
    height: 35px;
}

.btn-primary {
    color: #fff;
    background-color: #1e3d6c;
    border-color: #1e3d6c;
}

.modal-footer .btn-primary:hover {
    border: 1px solid #1e3d6c;
    color: #1e3d6c !important;
    outline: 0;
    background-color: transparent;
    box-shadow: none;
    font-weight: bold;
}

.modal-footer button {
    border-radius: 0 !important;
}

.modal-footer .btn-default {
    border: 1px solid #1e3d6c;
    color: #1e3d6c !important;
    outline: 0;
    background-color: transparent;
    box-shadow: none;
    font-family: Segoe UI, Helvetica, Arial;
}

.form-custom-actions {
    display: none !important;
}

.crmEntityFormView .cell .field-label {
    float: left;
    display: inline;
    color: #3C7BA2;
    line-height: 35px;
    margin-bottom: 0;
}

.crmEntityFormView .cell div.control {
    width: 75%;
    float: right;
    clear: none;
}

.crmEntityFormView .form-control.readonly, .crmEntityFormView .form-control[readonly][disabled], .form-readonly .form-control {
    border: none;
    border-bottom: 1px solid #ccc;
    font-weight: 600;
    color: black;
    box-shadow: none
}

.input-group-addon:last-child {
    border: 0;
    border-bottom: 1px solid #ccc;
}

#gethelp {
    display: none;
}


/* Nav Bar*/

.navbar-static-top.navbar .menu-bar > .navbar-nav > .divider-vertical {
    display: none;
}

.navbar {
    background-color: #1e3d6c;
    background-image: url("/navbarbg.png");
    background-position-y: bottom;
    background-size: cover;
}

.nav > li > a {
    position: relative;
    display: block;
    padding: 15px 15px 0px 15px !important;
}


.navbar-static-top.navbar .menu-bar > .navbar-nav > li > a {
    font-family: Segoe UI Light, "HelveticaNeue-Light", "Helvetica Neue Light", "Helvetica Neue", Helvetica, Arial !important;
    font-size: 13px;
    font-weight: 100;
}

.navbar-inverse .navbar-nav>.open>a, .navbar-inverse .navbar-nav>.open>a:hover, .navbar-inverse .navbar-nav>.open>a:focus {
    background-color: transparent !important;
}

.navbar-inverse .navbar-nav > li > a:hover {
    color: #fff;
    background-color: transparent !important;
    border-bottom: 0 !important;
    padding-bottom: 0 !important;
    cursor: pointer;
}

    
.navbar-inverse .navbar-nav > li > a:focus {
    outline: none !important;
}

.navbar-nav>li>a>img {
    vertical-align: text-top;
    width: 20px;
}

.dropdown-toggle:hover + .dropdown-menu{
    margin-top: 13px !important;
}

.dropdown-toggle {
    padding-bottom: 0 !important;
}

#navbar .dropdown-menu {
    margin-top: 10px !important;
}

#navbar .dropdown-menu>.active>a, 
#navbar .dropdown-menu>.active>a {
    background-color: #585858;
}


.username {
    padding-left: 5px;
}


/* Modal CSS */

#modalPopupBody iframe {
    border: none;
    width: 100%;
    height: 655px;
}

.modal-header {
    padding: 10px !important;
    background-image: url("/modalheaderbg.png");
}
  
#modalTitle {
  color: #666;
  font-size: 25px;
  font-weight: 600;
  text-align: center;
}

.modal-content {
  font-weight: 600;
  visibility: visible;
}

#EntityFormPanel {
  font-size: 13px;
}

#EntityFormPanel .actions {
  display: none;
}
  
#EntityFormPanel input {
    border: none;
    border-bottom: 1px solid #ccc;
    font-weight: 600;
    color: black;
    box-shadow: none;
    background: transparent;
}

.crmEntityFormView .status {
    font-size: 15px;
    font-weight: 600;
    color: black;
}

.crmEntityFormView .cell input[type=text], 
.crmEntityFormView .cell select, 
.crmEntityFormView .cell textarea {
    font-weight: 600;
    color: black;
}

.modal-title {
    text-align: center;
    font-weight: bold;
}

/* Pagination */

.pagination {
    display: flex;
    justify-content: center;
    margin-top: 50px !important;
}

.pagination>.active>a, .pagination>.active>a:hover, .pagination>.active>a:focus, .pagination>.active>span, .pagination>.active>span:hover, .pagination>.active>span:focus {
    background-color: #1e3d6c;
}

/* Entity Form */

#backGrp:hover,
#saveGrp:hover,
#deleteGrp:hover {
    cursor: pointer;
}

#saveGrp:hover {
  filter: invert(44%) sepia(42%) saturate(536%) hue-rotate(85deg) brightness(94%) contrast(87%);
}

#deleteGrp:hover {
  filter: invert(14%) sepia(59%) saturate(5815%) hue-rotate(360deg) brightness(87%) contrast(123%);
}

.crmEntityFormView .form-control.readonly:hover, 
.crmEntityFormView .form-control[readonly][disabled]:hover, 
.form-readonly .form-control:hover {
    background-color: rgb(226, 226, 226) !important;
    cursor: default !important;
}

/* Loading Screen */

#loadingScreen {
    display: none;
}

#loadingbg {
    position: absolute;
    z-index: 1000;
    width: 100%;
    height: 100%;
}

#loadinggif {
    display: block;
    position: absolute;
    z-index: 1000;
    width: 100px;
    left: 50%;
    top: 50%;
}

#loadingScreen p {
    display: block;
    position: absolute;
    z-index: 1000;
    width: 100px;
    left: 51.5%;
    top: 60%;
    font-size: 15px;
    font-weight: 700;
}

.actions input { 
    border: 1px solid black;
    font-weight: 600;
    background: lightgrey; 
}